### Function

# Gimp floating_sel_anchor

#### Declaration [src]

    gboolean
    gimp_floating_sel_anchor (
      GimpLayer* floating_sel
    )

#### Description [src]

Anchor the specified floating selection to its associated drawable.

This procedure anchors the floating selection to its associated drawable. This is similar to merging with a merge type of ClipToBottomLayer. The floating selection layer is no longer valid after this operation.

#### Parameters

`floating_sel` | `GimpLayer`
| The floating selection.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.